This commit is contained in:
Marcin Grzejszczak
2017-03-06 20:24:06 +01:00
parent 2ac7f90da4
commit 410dc9f545
181 changed files with 0 additions and 2017 deletions

View File

@@ -1,17 +0,0 @@
*~
#*
*#
.#*
.classpath
.project
.settings
.springBeans
.gradle
build
bin
target/
.idea
*.iml
*.ipr
*.iws
.factorypath

View File

@@ -1,66 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<settings>
<servers>
<server>
<id>repo.spring.io</id>
<username>${env.CI_DEPLOY_USERNAME}</username>
<password>${env.CI_DEPLOY_PASSWORD}</password>
</server>
</servers>
<profiles>
<profile>
<!--
N.B. this profile is only here to support users and IDEs that do not use Maven 3.3.
It isn't needed on the command line if you use the wrapper script (mvnw) or if you use
a native Maven with the right version. Eclipse users should points their Maven tooling to
this settings file, or copy the profile into their ~/.m2/settings.xml.
-->
<id>spring</id>
<activation><activeByDefault>true</activeByDefault></activation>
<repositories>
<repository>
<id>spring-snapshots</id>
<name>Spring Snapshots</name>
<url>http://repo.spring.io/libs-snapshot-local</url>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
<repository>
<id>spring-milestones</id>
<name>Spring Milestones</name>
<url>http://repo.spring.io/libs-milestone-local</url>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
<repository>
<id>spring-releases</id>
<name>Spring Releases</name>
<url>http://repo.spring.io/release</url>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
</repositories>
<pluginRepositories>
<pluginRepository>
<id>spring-snapshots</id>
<name>Spring Snapshots</name>
<url>http://repo.spring.io/libs-snapshot-local</url>
<snapshots>
<enabled>true</enabled>
</snapshots>
</pluginRepository>
<pluginRepository>
<id>spring-milestones</id>
<name>Spring Milestones</name>
<url>http://repo.spring.io/libs-milestone-local</url>
<snapshots>
<enabled>false</enabled>
</snapshots>
</pluginRepository>
</pluginRepositories>
</profile>
</profiles>
</settings>

View File

@@ -1,9 +0,0 @@
sudo: false
cache:
directories:
- $HOME/.m2
language: java
before_install:
- gem install asciidoctor
script:
- ./mvnw clean install -P docs -q -U -Dmaven.test.redirectTestOutputToFile=true

View File

@@ -1,202 +0,0 @@
Apache License
Version 2.0, January 2004
http://www.apache.org/licenses/
TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION
1. Definitions.
"License" shall mean the terms and conditions for use, reproduction,
and distribution as defined by Sections 1 through 9 of this document.
"Licensor" shall mean the copyright owner or entity authorized by
the copyright owner that is granting the License.
"Legal Entity" shall mean the union of the acting entity and all
other entities that control, are controlled by, or are under common
control with that entity. For the purposes of this definition,
"control" means (i) the power, direct or indirect, to cause the
direction or management of such entity, whether by contract or
otherwise, or (ii) ownership of fifty percent (50%) or more of the
outstanding shares, or (iii) beneficial ownership of such entity.
"You" (or "Your") shall mean an individual or Legal Entity
exercising permissions granted by this License.
"Source" form shall mean the preferred form for making modifications,
including but not limited to software source code, documentation
source, and configuration files.
"Object" form shall mean any form resulting from mechanical
transformation or translation of a Source form, including but
not limited to compiled object code, generated documentation,
and conversions to other media types.
"Work" shall mean the work of authorship, whether in Source or
Object form, made available under the License, as indicated by a
copyright notice that is included in or attached to the work
(an example is provided in the Appendix below).
"Derivative Works" shall mean any work, whether in Source or Object
form, that is based on (or derived from) the Work and for which the
editorial revisions, annotations, elaborations, or other modifications
represent, as a whole, an original work of authorship. For the purposes
of this License, Derivative Works shall not include works that remain
separable from, or merely link (or bind by name) to the interfaces of,
the Work and Derivative Works thereof.
"Contribution" shall mean any work of authorship, including
the original version of the Work and any modifications or additions
to that Work or Derivative Works thereof, that is intentionally
submitted to Licensor for inclusion in the Work by the copyright owner
or by an individual or Legal Entity authorized to submit on behalf of
the copyright owner. For the purposes of this definition, "submitted"
means any form of electronic, verbal, or written communication sent
to the Licensor or its representatives, including but not limited to
communication on electronic mailing lists, source code control systems,
and issue tracking systems that are managed by, or on behalf of, the
Licensor for the purpose of discussing and improving the Work, but
excluding communication that is conspicuously marked or otherwise
designated in writing by the copyright owner as "Not a Contribution."
"Contributor" shall mean Licensor and any individual or Legal Entity
on behalf of whom a Contribution has been received by Licensor and
subsequently incorporated within the Work.
2. Grant of Copyright License. Subject to the terms and conditions of
this License, each Contributor hereby grants to You a perpetual,
worldwide, non-exclusive, no-charge, royalty-free, irrevocable
copyright license to reproduce, prepare Derivative Works of,
publicly display, publicly perform, sublicense, and distribute the
Work and such Derivative Works in Source or Object form.
3. Grant of Patent License. Subject to the terms and conditions of
this License, each Contributor hereby grants to You a perpetual,
worldwide, non-exclusive, no-charge, royalty-free, irrevocable
(except as stated in this section) patent license to make, have made,
use, offer to sell, sell, import, and otherwise transfer the Work,
where such license applies only to those patent claims licensable
by such Contributor that are necessarily infringed by their
Contribution(s) alone or by combination of their Contribution(s)
with the Work to which such Contribution(s) was submitted. If You
institute patent litigation against any entity (including a
cross-claim or counterclaim in a lawsuit) alleging that the Work
or a Contribution incorporated within the Work constitutes direct
or contributory patent infringement, then any patent licenses
granted to You under this License for that Work shall terminate
as of the date such litigation is filed.
4. Redistribution. You may reproduce and distribute copies of the
Work or Derivative Works thereof in any medium, with or without
modifications, and in Source or Object form, provided that You
meet the following conditions:
(a) You must give any other recipients of the Work or
Derivative Works a copy of this License; and
(b) You must cause any modified files to carry prominent notices
stating that You changed the files; and
(c) You must retain, in the Source form of any Derivative Works
that You distribute, all copyright, patent, trademark, and
attribution notices from the Source form of the Work,
excluding those notices that do not pertain to any part of
the Derivative Works; and
(d) If the Work includes a "NOTICE" text file as part of its
distribution, then any Derivative Works that You distribute must
include a readable copy of the attribution notices contained
within such NOTICE file, excluding those notices that do not
pertain to any part of the Derivative Works, in at least one
of the following places: within a NOTICE text file distributed
as part of the Derivative Works; within the Source form or
documentation, if provided along with the Derivative Works; or,
within a display generated by the Derivative Works, if and
wherever such third-party notices normally appear. The contents
of the NOTICE file are for informational purposes only and
do not modify the License. You may add Your own attribution
notices within Derivative Works that You distribute, alongside
or as an addendum to the NOTICE text from the Work, provided
that such additional attribution notices cannot be construed
as modifying the License.
You may add Your own copyright statement to Your modifications and
may provide additional or different license terms and conditions
for use, reproduction, or distribution of Your modifications, or
for any such Derivative Works as a whole, provided Your use,
reproduction, and distribution of the Work otherwise complies with
the conditions stated in this License.
5. Submission of Contributions. Unless You explicitly state otherwise,
any Contribution intentionally submitted for inclusion in the Work
by You to the Licensor shall be under the terms and conditions of
this License, without any additional terms or conditions.
Notwithstanding the above, nothing herein shall supersede or modify
the terms of any separate license agreement you may have executed
with Licensor regarding such Contributions.
6. Trademarks. This License does not grant permission to use the trade
names, trademarks, service marks, or product names of the Licensor,
except as required for reasonable and customary use in describing the
origin of the Work and reproducing the content of the NOTICE file.
7. Disclaimer of Warranty. Unless required by applicable law or
agreed to in writing, Licensor provides the Work (and each
Contributor provides its Contributions) on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
implied, including, without limitation, any warranties or conditions
of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
PARTICULAR PURPOSE. You are solely responsible for determining the
appropriateness of using or redistributing the Work and assume any
risks associated with Your exercise of permissions under this License.
8. Limitation of Liability. In no event and under no legal theory,
whether in tort (including negligence), contract, or otherwise,
unless required by applicable law (such as deliberate and grossly
negligent acts) or agreed to in writing, shall any Contributor be
liable to You for damages, including any direct, indirect, special,
incidental, or consequential damages of any character arising as a
result of this License or out of the use or inability to use the
Work (including but not limited to damages for loss of goodwill,
work stoppage, computer failure or malfunction, or any and all
other commercial damages or losses), even if such Contributor
has been advised of the possibility of such damages.
9. Accepting Warranty or Additional Liability. While redistributing
the Work or Derivative Works thereof, You may choose to offer,
and charge a fee for, acceptance of support, warranty, indemnity,
or other liability obligations and/or rights consistent with this
License. However, in accepting such obligations, You may act only
on Your own behalf and on Your sole responsibility, not on behalf
of any other Contributor, and only if You agree to indemnify,
defend, and hold each Contributor harmless for any liability
incurred by, or claims asserted against, such Contributor by reason
of your accepting any such warranty or additional liability.
END OF TERMS AND CONDITIONS
APPENDIX: How to apply the Apache License to your work.
To apply the Apache License to your work, attach the following
boilerplate notice, with the fields enclosed by brackets "[]"
replaced with your own identifying information. (Don't include
the brackets!) The text should be enclosed in the appropriate
comment syntax for the file format. We also recommend that a
file or class name and description of purpose be included on the
same "printed page" as the copyright notice for easier
identification within third-party archives.
Copyright [yyyy] [name of copyright owner]
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

View File

@@ -1,85 +0,0 @@
// Do not edit this file (e.g. go instead to src/main/asciidoc)
Spring Cloud Release Train is a curated set of dependencies across a
range of Spring Cloud projects. You consume it by using the
spring-cloud-dependencies POM to manage dependencies in Maven or
Gradle. The release trains have names, not versions, to avoid
confusion with the sub-projects. The names are an alphabetic sequence
(so you can sort them chronologically) with names of London Tube
stations ("Angel" is the first release, "Brixton" is the second).
== Contributing
Spring Cloud is released under the non-restrictive Apache 2.0 license,
and follows a very standard Github development process, using Github
tracker for issues and merging pull requests into master. If you want
to contribute even something trivial please do not hesitate, but
follow the guidelines below.
=== Sign the Contributor License Agreement
Before we accept a non-trivial patch or pull request we will need you to sign the
https://cla.pivotal.io/sign/spring[Contributor License Agreement].
Signing the contributor's agreement does not grant anyone commit rights to the main
repository, but it does mean that we can accept your contributions, and you will get an
author credit if we do. Active contributors might be asked to join the core team, and
given the ability to merge pull requests.
=== Code of Conduct
This project adheres to the Contributor Covenant https://github.com/spring-cloud/spring-cloud-build/blob/master/docs/src/main/asciidoc/code-of-conduct.adoc[code of
conduct]. By participating, you are expected to uphold this code. Please report
unacceptable behavior to spring-code-of-conduct@pivotal.io.
=== Code Conventions and Housekeeping
None of these is essential for a pull request, but they will all help. They can also be
added after the original pull request but before a merge.
* Use the Spring Framework code format conventions. If you use Eclipse
you can import formatter settings using the
`eclipse-code-formatter.xml` file from the
https://raw.githubusercontent.com/spring-cloud/spring-cloud-build/master/spring-cloud-dependencies-parent/eclipse-code-formatter.xml[Spring
Cloud Build] project. If using IntelliJ, you can use the
http://plugins.jetbrains.com/plugin/6546[Eclipse Code Formatter
Plugin] to import the same file.
* Make sure all new `.java` files to have a simple Javadoc class comment with at least an
`@author` tag identifying you, and preferably at least a paragraph on what the class is
for.
* Add the ASF license header comment to all new `.java` files (copy from existing files
in the project)
* Add yourself as an `@author` to the .java files that you modify substantially (more
than cosmetic changes).
* Add some Javadocs and, if you change the namespace, some XSD doc elements.
* A few unit tests would help a lot as well -- someone has to do it.
* If no-one else is using your branch, please rebase it against the current master (or
other target branch in the main project).
* When writing a commit message please follow http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html[these conventions],
if you are fixing an existing issue please add `Fixes gh-XXXX` at the end of the commit
message (where XXXX is the issue number).
== Building and Deploying
Since there is no code to compile in the starters they should do not need to compile, but a compiler has to be available because they are built and deployed as JAR artifacts. To install locally:
----
$ mvn install -s .settings.xml
----
and to deploy snapshots to repo.spring.io:
----
$ mvn install -DaltSnapshotDeploymentRepository=repo.spring.io::default::https://repo.spring.io/libs-snapshot-local
----
for a.BUILD-SNAPSHOT build use
----
$ mvn install -DaltReleaseDeploymentRepository=repo.spring.io::default::https://repo.spring.io/libs-release-local
----
and for Maven Central use
----
$ mvn install -P central -DaltReleaseDeploymentRepository=sonatype-nexus-staging::default::https://oss.sonatype.org/service/local/staging/deploy/maven2
----
(the "central" profile is available for all projects in Spring Cloud and it sets up the gpg jar signing, and the repository has to be specified separately for this project because it is a parent of the starter parent which users in turn have as their own parent).

View File

@@ -1,54 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-starter-docs</artifactId>
<parent>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-starter-build</artifactId>
<version>Dalston.BUILD-SNAPSHOT</version>
</parent>
<packaging>pom</packaging>
<name>Spring Cloud Starter Docs</name>
<description>Spring Cloud Docs</description>
<properties>
<docs.main>spring-cloud-starters</docs.main>
<main.basedir>${basedir}/..</main.basedir>
<docs.whitelisted.branches>Brixton,Camden,Dalston</docs.whitelisted.branches>
</properties>
<build>
<plugins>
<plugin>
<artifactId>maven-deploy-plugin</artifactId>
<configuration>
<skip>true</skip>
</configuration>
</plugin>
</plugins>
</build>
<profiles>
<profile>
<id>docs</id>
<build>
<plugins>
<plugin>
<groupId>org.asciidoctor</groupId>
<artifactId>asciidoctor-maven-plugin</artifactId>
<inherited>false</inherited>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-antrun-plugin</artifactId>
<inherited>false</inherited>
</plugin>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>build-helper-maven-plugin</artifactId>
<inherited>false</inherited>
</plugin>
</plugins>
</build>
</profile>
</profiles>
</project>

View File

@@ -1,34 +0,0 @@
include::intro.adoc[]
== Contributing
include::https://raw.githubusercontent.com/spring-cloud/spring-cloud-build/master/docs/src/main/asciidoc/contributing.adoc[]
== Building and Deploying
Since there is no code to compile in the starters they should do not need to compile, but a compiler has to be available because they are built and deployed as JAR artifacts. To install locally:
----
$ mvn install -s .settings.xml
----
and to deploy snapshots to repo.spring.io:
----
$ mvn install -DaltSnapshotDeploymentRepository=repo.spring.io::default::https://repo.spring.io/libs-snapshot-local
----
for a.BUILD-SNAPSHOT build use
----
$ mvn install -DaltReleaseDeploymentRepository=repo.spring.io::default::https://repo.spring.io/libs-release-local
----
and for Maven Central use
----
$ mvn install -P central -DaltReleaseDeploymentRepository=sonatype-nexus-staging::default::https://oss.sonatype.org/service/local/staging/deploy/maven2
----
(the "central" profile is available for all projects in Spring Cloud and it sets up the gpg jar signing, and the repository has to be specified separately for this project because it is a parent of the starter parent which users in turn have as their own parent).

View File

@@ -1,330 +0,0 @@
#!/bin/bash -x
set -e
# Set default props like MAVEN_PATH, ROOT_FOLDER etc.
function set_default_props() {
# The script should be executed from the root folder
ROOT_FOLDER=`pwd`
echo "Current folder is ${ROOT_FOLDER}"
if [[ ! -e "${ROOT_FOLDER}/.git" ]]; then
echo "You're not in the root folder of the project!"
exit 1
fi
# Prop that will let commit the changes
COMMIT_CHANGES="no"
MAVEN_PATH=${MAVEN_PATH:-}
echo "Path to Maven is [${MAVEN_PATH}]"
REPO_NAME=${PWD##*/}
echo "Repo name is [${REPO_NAME}]"
SPRING_CLOUD_STATIC_REPO=${SPRING_CLOUD_STATIC_REPO:-git@github.com:spring-cloud/spring-cloud-static.git}
echo "Spring Cloud Static repo is [${SPRING_CLOUD_STATIC_REPO}"
}
# Check if gh-pages exists and docs have been built
function check_if_anything_to_sync() {
git remote set-url --push origin `git config remote.origin.url | sed -e 's/^git:/https:/'`
if ! (git remote set-branches --add origin gh-pages && git fetch -q); then
echo "No gh-pages, so not syncing"
exit 0
fi
if ! [ -d docs/target/generated-docs ] && ! [ "${BUILD}" == "yes" ]; then
echo "No gh-pages sources in docs/target/generated-docs, so not syncing"
exit 0
fi
}
function retrieve_current_branch() {
# Code getting the name of the current branch. For master we want to publish as we did until now
# http://stackoverflow.com/questions/1593051/how-to-programmatically-determine-the-current-checked-out-git-branch
# If there is a branch already passed will reuse it - otherwise will try to find it
CURRENT_BRANCH=${BRANCH}
if [[ -z "${CURRENT_BRANCH}" ]] ; then
CURRENT_BRANCH=$(git symbolic-ref -q HEAD)
CURRENT_BRANCH=${CURRENT_BRANCH##refs/heads/}
CURRENT_BRANCH=${CURRENT_BRANCH:-HEAD}
fi
echo "Current branch is [${CURRENT_BRANCH}]"
git checkout ${CURRENT_BRANCH} || echo "Failed to check the branch... continuing with the script"
}
# Switches to the provided value of the release version. We always prefix it with `v`
function switch_to_tag() {
git checkout v${VERSION}
}
# Build the docs if switch is on
function build_docs_if_applicable() {
if [[ "${BUILD}" == "yes" ]] ; then
./mvnw clean install -P docs -pl docs -DskipTests
fi
}
# Get the name of the `docs.main` property
# Get whitelisted branches - assumes that a `docs` module is available under `docs` profile
function retrieve_doc_properties() {
MAIN_ADOC_VALUE=$("${MAVEN_PATH}"mvn -q \
-Dexec.executable="echo" \
-Dexec.args='${docs.main}' \
--non-recursive \
org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
echo "Extracted 'main.adoc' from Maven build [${MAIN_ADOC_VALUE}]"
WHITELIST_PROPERTY=${WHITELIST_PROPERTY:-"docs.whitelisted.branches"}
WHITELISTED_BRANCHES_VALUE=$("${MAVEN_PATH}"mvn -q \
-Dexec.executable="echo" \
-Dexec.args="\${${WHITELIST_PROPERTY}}" \
org.codehaus.mojo:exec-maven-plugin:1.3.1:exec \
-P docs \
-pl docs)
echo "Extracted '${WHITELIST_PROPERTY}' from Maven build [${WHITELISTED_BRANCHES_VALUE}]"
}
# Stash any outstanding changes
function stash_changes() {
git diff-index --quiet HEAD && dirty=$? || (echo "Failed to check if the current repo is dirty. Assuming that it is." && dirty="1")
if [ "$dirty" != "0" ]; then git stash; fi
}
# Switch to gh-pages branch to sync it with current branch
function add_docs_from_target() {
local DESTINATION_REPO_FOLDER
if [[ -z "${DESTINATION}" && -z "${CLONE}" ]] ; then
DESTINATION_REPO_FOLDER=${ROOT_FOLDER}
elif [[ "${CLONE}" == "yes" ]]; then
mkdir -p ${ROOT_FOLDER}/target
local clonedStatic=${ROOT_FOLDER}/target/spring-cloud-static
if [[ ! -e "${clonedStatic}/.git" ]]; then
echo "Cloning Spring Cloud Static to target"
git clone ${SPRING_CLOUD_STATIC_REPO} ${clonedStatic} && git checkout gh-pages
else
echo "Spring Cloud Static already cloned - will pull changes"
cd ${clonedStatic} && git checkout gh-pages && git pull origin gh-pages
fi
DESTINATION_REPO_FOLDER=${clonedStatic}/${REPO_NAME}
mkdir -p ${DESTINATION_REPO_FOLDER}
else
if [[ ! -e "${DESTINATION}/.git" ]]; then
echo "[${DESTINATION}] is not a git repository"
exit 1
fi
DESTINATION_REPO_FOLDER=${DESTINATION}/${REPO_NAME}
mkdir -p ${DESTINATION_REPO_FOLDER}
echo "Destination was provided [${DESTINATION}]"
fi
cd ${DESTINATION_REPO_FOLDER}
git checkout gh-pages
git pull origin gh-pages
# Add git branches
###################################################################
if [[ -z "${VERSION}" ]] ; then
copy_docs_for_current_version
else
copy_docs_for_provided_version
fi
commit_changes_if_applicable
}
# Copies the docs by using the retrieved properties from Maven build
function copy_docs_for_current_version() {
if [[ "${CURRENT_BRANCH}" == "master" ]] ; then
echo -e "Current branch is master - will copy the current docs only to the root folder"
for f in docs/target/generated-docs/*; do
file=${f#docs/target/generated-docs/*}
if ! git ls-files -i -o --exclude-standard --directory | grep -q ^$file$; then
# Not ignored...
cp -rf $f ${ROOT_FOLDER}/
git add -A ${ROOT_FOLDER}/$file
fi
done
COMMIT_CHANGES="yes"
else
echo -e "Current branch is [${CURRENT_BRANCH}]"
# http://stackoverflow.com/questions/29300806/a-bash-script-to-check-if-a-string-is-present-in-a-comma-separated-list-of-strin
if [[ ",${WHITELISTED_BRANCHES_VALUE}," = *",${CURRENT_BRANCH},"* ]] ; then
mkdir -p ${ROOT_FOLDER}/${CURRENT_BRANCH}
echo -e "Branch [${CURRENT_BRANCH}] is whitelisted! Will copy the current docs to the [${CURRENT_BRANCH}] folder"
for f in docs/target/generated-docs/*; do
file=${f#docs/target/generated-docs/*}
if ! git ls-files -i -o --exclude-standard --directory | grep -q ^$file$; then
# Not ignored...
# We want users to access 1.0.0.BUILD-SNAPSHOT/ instead of 1.0.0.RELEASE/spring-cloud.sleuth.html
if [[ "${file}" == "${MAIN_ADOC_VALUE}.html" ]] ; then
# We don't want to copy the spring-cloud-sleuth.html
# we want it to be converted to index.html
cp -rf $f ${ROOT_FOLDER}/${CURRENT_BRANCH}/index.html
git add -A ${ROOT_FOLDER}/${CURRENT_BRANCH}/index.html
else
cp -rf $f ${ROOT_FOLDER}/${CURRENT_BRANCH}
git add -A ${ROOT_FOLDER}/${CURRENT_BRANCH}/$file
fi
fi
done
COMMIT_CHANGES="yes"
else
echo -e "Branch [${CURRENT_BRANCH}] is not on the white list! Check out the Maven [${WHITELIST_PROPERTY}] property in
[docs] module available under [docs] profile. Won't commit any changes to gh-pages for this branch."
fi
fi
}
# Copies the docs by using the explicitly provided version
function copy_docs_for_provided_version() {
local FOLDER=${DESTINATION_REPO_FOLDER}/${VERSION}
mkdir -p ${FOLDER}
echo -e "Current tag is [v${VERSION}] Will copy the current docs to the [${FOLDER}] folder"
for f in ${ROOT_FOLDER}/docs/target/generated-docs/*; do
file=${f#${ROOT_FOLDER}/docs/target/generated-docs/*}
copy_docs_for_branch ${file} ${FOLDER}
done
COMMIT_CHANGES="yes"
CURRENT_BRANCH="v${VERSION}"
}
# Copies the docs from target to the provided destination
# Params:
# $1 - file from target
# $2 - destination to which copy the files
function copy_docs_for_branch() {
local file=$1
local destination=$2
if ! git ls-files -i -o --exclude-standard --directory | grep -q ^${file}$; then
# Not ignored...
# We want users to access 1.0.0.BUILD-SNAPSHOT/ instead of 1.0.0.RELEASE/spring-cloud.sleuth.html
if [[ ("${file}" == "${MAIN_ADOC_VALUE}.html") || ("${file}" == "${REPO_NAME}.html") ]] ; then
# We don't want to copy the spring-cloud-sleuth.html
# we want it to be converted to index.html
cp -rf $f ${destination}/index.html
git add -A ${destination}/index.html
else
cp -rf $f ${destination}
git add -A ${destination}/$file
fi
fi
}
function commit_changes_if_applicable() {
if [[ "${COMMIT_CHANGES}" == "yes" ]] ; then
COMMIT_SUCCESSFUL="no"
git commit -a -m "Sync docs from ${CURRENT_BRANCH} to gh-pages" && COMMIT_SUCCESSFUL="yes" || echo "Failed to commit changes"
# Uncomment the following push if you want to auto push to
# the gh-pages branch whenever you commit to master locally.
# This is a little extreme. Use with care!
###################################################################
if [[ "${COMMIT_SUCCESSFUL}" == "yes" ]] ; then
git push origin gh-pages
fi
fi
}
# Switch back to the previous branch and exit block
function checkout_previous_branch() {
# If -version was provided we need to come back to root project
cd ${ROOT_FOLDER}
git checkout ${CURRENT_BRANCH} || echo "Failed to check the branch... continuing with the script"
if [ "$dirty" != "0" ]; then git stash pop; fi
exit 0
}
# Assert if properties have been properly passed
function assert_properties() {
echo "VERSION [${VERSION}], DESTINATION [${DESTINATION}], CLONE [${CLONE}]"
if [[ "${VERSION}" != "" && (-z "${DESTINATION}" && -z "${CLONE}") ]] ; then echo "Version was set but destination / clone was not!"; exit 1;fi
if [[ ("${DESTINATION}" != "" && "${CLONE}" != "") && -z "${VERSION}" ]] ; then echo "Destination / clone was set but version was not!"; exit 1;fi
if [[ "${DESTINATION}" != "" && "${CLONE}" == "yes" ]] ; then echo "Destination and clone was set. Pick one!"; exit 1;fi
}
# Prints the usage
function print_usage() {
cat <<EOF
The idea of this script is to update gh-pages branch with the generated docs. Without any options
the script will work in the following manner:
- if there's no gh-pages / target for docs module then the script ends
- for master branch the generated docs are copied to the root of gh-pages branch
- for any other branch (if that branch is whitelisted) a subfolder with branch name is created
and docs are copied there
- if the version switch is passed (-v) then a tag with (v) prefix will be retrieved and a folder
with that version number will be created in the gh-pages branch. WARNING! No whitelist verification will take place
- if the destination switch is passed (-d) then the script will check if the provided dir is a git repo and then will
switch to gh-pages of that repo and copy the generated docs to `docs/<project-name>/<version>`
- if the destination switch is passed (-d) then the script will check if the provided dir is a git repo and then will
switch to gh-pages of that repo and copy the generated docs to `docs/<project-name>/<version>`
USAGE:
You can use the following options:
-v|--version - the script will apply the whole procedure for a particular library version
-d|--destination - the root of destination folder where the docs should be copied. You have to use the full path.
E.g. point to spring-cloud-static folder. Can't be used with (-c)
-b|--build - will run the standard build process after checking out the branch
-c|--clone - will automatically clone the spring-cloud-static repo instead of providing the destination.
Obviously can't be used with (-d)
EOF
}
# ==========================================
# ____ ____ _____ _____ _____ _______
# / ____|/ ____| __ \|_ _| __ \__ __|
# | (___ | | | |__) | | | | |__) | | |
# \___ \| | | _ / | | | ___/ | |
# ____) | |____| | \ \ _| |_| | | |
# |_____/ \_____|_| \_\_____|_| |_|
#
# ==========================================
while [[ $# > 0 ]]
do
key="$1"
case ${key} in
-v|--version)
VERSION="$2"
shift # past argument
;;
-d|--destination)
DESTINATION="$2"
shift # past argument
;;
-b|--build)
BUILD="yes"
;;
-c|--clone)
CLONE="yes"
;;
-h|--help)
print_usage
exit 0
;;
*)
echo "Invalid option: [$1]"
print_usage
exit 1
;;
esac
shift # past argument or value
done
assert_properties
set_default_props
check_if_anything_to_sync
if [[ -z "${VERSION}" ]] ; then
retrieve_current_branch
else
switch_to_tag
fi
build_docs_if_applicable
retrieve_doc_properties
stash_changes
add_docs_from_target
checkout_previous_branch

View File

@@ -1,7 +0,0 @@
Spring Cloud Release Train is a curated set of dependencies across a
range of Spring Cloud projects. You consume it by using the
spring-cloud-dependencies POM to manage dependencies in Maven or
Gradle. The release trains have names, not versions, to avoid
confusion with the sub-projects. The names are an alphabetic sequence
(so you can sort them chronologically) with names of London Tube
stations ("Angel" is the first release, "Brixton" is the second).

View File

@@ -1,65 +0,0 @@
:github: https://github.com/spring-cloud/spring-cloud-release
:githubmaster: {github}/tree/master
:docslink: {githubmaster}/docs/src/main/asciidoc
:springcloudversion: Dalston.BUILD-SNAPSHOT
:springioplatformversion: Brussels-BUILD-SNAPSHOT
:springBootVersion: 1.5.0.BUILD-SNAPSHOT
= Spring Cloud Release Train
include::intro.adoc[]
== Using Spring Cloud Dependencies with Spring IO Platform
The Spring IO Platform is a modular, enterprise-grade curated set of dependencies. To use the Spring Cloud Starters with Spring IO Platform, you must import the Spring Cloud Dependencies bill of materials (BOM) first.
To use version {springioplatformversion} of the Spring IO Platform and Spring Cloud Release Train {springcloudversion} with Maven, update the pom.xml as follows:
[source,xml,indent=0,subs="verbatim,attributes"]
----
<dependencyManagement>
<dependencies>
<dependency>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-dependencies</artifactId>
<version>{springcloudversion}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
<dependency>
<groupId>io.spring.platform</groupId>
<artifactId>platform-bom</artifactId>
<version>{springioplatformversion}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
</dependencies>
</dependencyManagement>
----
NOTE: The Spring Cloud Dependencies BOM must go first, so that its dependencies have precedence of the Spring IO Platform dependencies.
For gradle, update the build.gradle as follows:
[source,groovy,indent=0,subs="verbatim,attributes"]
----
buildscript {
repositories {
mavenCentral()
}
dependencies {
classpath("org.springframework.boot:spring-boot-gradle-plugin:{springBootVersion}")
}
}
apply plugin: 'spring-boot'
dependencyManagement {
imports {
mavenBom "org.springframework.cloud:spring-cloud-dependencies:{springcloudversion}"
mavenBom 'io.spring.platform:platform-bom:{springioplatformversion}'
}
}
----
include::https://raw.githubusercontent.com/spring-cloud/spring-cloud-build/master/docs/src/main/asciidoc/contributing-docs.adoc[]

View File

@@ -1,37 +0,0 @@
#!/usr/bin/env ruby
base_dir = File.join(File.dirname(__FILE__),'../../..')
src_dir = File.join(base_dir, "/src/main/asciidoc")
require 'asciidoctor'
require 'optparse'
options = {}
file = "#{src_dir}/README.adoc"
OptionParser.new do |o|
o.on('-o OUTPUT_FILE', 'Output file (default is stdout)') { |file| options[:to_file] = file unless file=='-' }
o.on('-h', '--help') { puts o; exit }
o.parse!
end
file = ARGV[0] if ARGV.length>0
# Copied from https://github.com/asciidoctor/asciidoctor-extensions-lab/blob/master/scripts/asciidoc-coalescer.rb
doc = Asciidoctor.load_file file, safe: :unsafe, header_only: true, attributes: options[:attributes]
header_attr_names = (doc.instance_variable_get :@attributes_modified).to_a
header_attr_names.each {|k| doc.attributes[%(#{k}!)] = '' unless doc.attr? k }
attrs = doc.attributes
attrs['allow-uri-read'] = true
puts attrs
out = "// Do not edit this file (e.g. go instead to src/main/asciidoc)\n\n"
doc = Asciidoctor.load_file file, safe: :unsafe, parse: false, attributes: attrs
out << doc.reader.read
unless options[:to_file]
puts out
else
File.open(options[:to_file],'w+') do |file|
file.write(out)
end
end

View File

@@ -1,18 +0,0 @@
Going back to snapshots
# Please enter the commit message for your changes. Lines starting
# with '#' will be ignored, and an empty message aborts the commit.
#
# Date: Mon Feb 6 12:02:16 2017 +0100
#
# On branch Camden.x
# Your branch is ahead of 'origin/Camden.x' by 2 commits.
# (use "git push" to publish your local commits)
#
# Changes to be committed:
# modified: docs/pom.xml
# modified: docs/src/main/asciidoc/spring-cloud-starters.adoc
# modified: pom.xml
# modified: spring-cloud-dependencies/pom.xml
# modified: spring-cloud-starter-parent/pom.xml
#

View File

@@ -1,14 +0,0 @@
320597b84bb0312c15228c4d42f46c189b86ed90 branch 'master' of github.com:spring-cloud/spring-cloud-release
fb730db9b3999e45c350015c6cf83be35910a159 not-for-merge branch '1.0.0.M2' of github.com:spring-cloud/spring-cloud-release
474b03693496665434ab2615d6500bbb0b575a5b not-for-merge branch '1.0.0.M3' of github.com:spring-cloud/spring-cloud-release
7fdc875cb2b1620e8bc87ef8a27da2858eef7cd1 not-for-merge branch '1.0.0.RC1' of github.com:spring-cloud/spring-cloud-release
75d0bc7cc0995ac76b6cfad962ea54d05262a664 not-for-merge branch '1.0.0.RELEASE' of github.com:spring-cloud/spring-cloud-release
8e8a2d41b4beb8985919bc5a2bca2aa66374bdbb not-for-merge branch '1.0.1.RELEASE' of github.com:spring-cloud/spring-cloud-release
59414747ee8c095753a0b8c5641b328f80d47d33 not-for-merge branch '1.0.2.RELEASE' of github.com:spring-cloud/spring-cloud-release
73ec179d7ce96d5a98c2acd5697cd81c49dfd7d5 not-for-merge branch '1.0.x' of github.com:spring-cloud/spring-cloud-release
08c95747e807212c605d758bbb360f6d671b2932 not-for-merge branch 'Angel.SR3' of github.com:spring-cloud/spring-cloud-release
6882449721e48f955b102606ae3fc2535ebbd4cb not-for-merge branch 'Brixton' of github.com:spring-cloud/spring-cloud-release
7745834b138ffe1f647b14dd3c7d4d71eee8aac3 not-for-merge branch 'Brixton.M1' of github.com:spring-cloud/spring-cloud-release
f2036f13515dc6aa997cc15827919acec634eaae not-for-merge branch 'Brixton.M2' of github.com:spring-cloud/spring-cloud-release
928e0d8389dcee60189d6c0eb737ab9376e87f54 not-for-merge branch 'Camden.RC1' of github.com:spring-cloud/spring-cloud-release
b566ab3bea0506bccaa10f83784a41673606d6ee not-for-merge branch 'Camden.x' of github.com:spring-cloud/spring-cloud-release

View File

@@ -1 +0,0 @@
ref: refs/heads/master

View File

@@ -1 +0,0 @@
32ebcd2c317339400d65ad43999d4e5ddc05bd30

View File

@@ -1,7 +0,0 @@
[core]
repositoryformatversion = 0
filemode = true
bare = false
logallrefupdates = true
[branch "master"]
[branch "Camden.x"]

View File

@@ -1 +0,0 @@
Unnamed repository; edit this file 'description' to name the repository.

View File

@@ -1,15 +0,0 @@
#!/bin/sh
#
# An example hook script to check the commit log message taken by
# applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit. The hook is
# allowed to edit the commit message file.
#
# To enable this hook, rename this file to "applypatch-msg".
. git-sh-setup
commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
:

View File

@@ -1,24 +0,0 @@
#!/bin/sh
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".
# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
# This example catches duplicate Signed-off-by lines.
test "" = "$(grep '^Signed-off-by: ' "$1" |
sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
echo >&2 Duplicate Signed-off-by lines.
exit 1
}

View File

@@ -1,8 +0,0 @@
#!/bin/sh
#
# An example hook script to prepare a packed repository for use over
# dumb transports.
#
# To enable this hook, rename this file to "post-update".
exec git update-server-info

View File

@@ -1,14 +0,0 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed
# by applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-applypatch".
. git-sh-setup
precommit="$(git rev-parse --git-path hooks/pre-commit)"
test -x "$precommit" && exec "$precommit" ${1+"$@"}
:

View File

@@ -1,49 +0,0 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
if git rev-parse --verify HEAD >/dev/null 2>&1
then
against=HEAD
else
# Initial commit: diff against an empty tree object
against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
fi
# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --bool hooks.allownonascii)
# Redirect output to stderr.
exec 1>&2
# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
# Note that the use of brackets around a tr range is ok here, (it's
# even required, for portability to Solaris 10's /usr/bin/tr), since
# the square bracket bytes happen to fall in the designated range.
test $(git diff --cached --name-only --diff-filter=A -z $against |
LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
cat <<\EOF
Error: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check using:
git config hooks.allownonascii true
EOF
exit 1
fi
# If there are whitespace errors, print the offending file names and fail.
exec git diff-index --check --cached $against --

View File

@@ -1,53 +0,0 @@
#!/bin/sh
# An example hook script to verify what is about to be pushed. Called by "git
# push" after it has checked the remote status, but before anything has been
# pushed. If this script exits with a non-zero status nothing will be pushed.
#
# This hook is called with the following parameters:
#
# $1 -- Name of the remote to which the push is being done
# $2 -- URL to which the push is being done
#
# If pushing without using a named remote those arguments will be equal.
#
# Information about the commits which are being pushed is supplied as lines to
# the standard input in the form:
#
# <local ref> <local sha1> <remote ref> <remote sha1>
#
# This sample shows how to prevent push of commits where the log message starts
# with "WIP" (work in progress).
remote="$1"
url="$2"
z40=0000000000000000000000000000000000000000
while read local_ref local_sha remote_ref remote_sha
do
if [ "$local_sha" = $z40 ]
then
# Handle delete
:
else
if [ "$remote_sha" = $z40 ]
then
# New branch, examine all commits
range="$local_sha"
else
# Update to existing branch, examine new commits
range="$remote_sha..$local_sha"
fi
# Check for WIP commit
commit=`git rev-list -n 1 --grep '^WIP' "$range"`
if [ -n "$commit" ]
then
echo >&2 "Found WIP commit in $local_ref, not pushing"
exit 1
fi
fi
done
exit 0

View File

@@ -1,169 +0,0 @@
#!/bin/sh
#
# Copyright (c) 2006, 2008 Junio C Hamano
#
# The "pre-rebase" hook is run just before "git rebase" starts doing
# its job, and can prevent the command from running by exiting with
# non-zero status.
#
# The hook is called with the following parameters:
#
# $1 -- the upstream the series was forked from.
# $2 -- the branch being rebased (or empty when rebasing the current branch).
#
# This sample shows how to prevent topic branches that are already
# merged to 'next' branch from getting rebased, because allowing it
# would result in rebasing already published history.
publish=next
basebranch="$1"
if test "$#" = 2
then
topic="refs/heads/$2"
else
topic=`git symbolic-ref HEAD` ||
exit 0 ;# we do not interrupt rebasing detached HEAD
fi
case "$topic" in
refs/heads/??/*)
;;
*)
exit 0 ;# we do not interrupt others.
;;
esac
# Now we are dealing with a topic branch being rebased
# on top of master. Is it OK to rebase it?
# Does the topic really exist?
git show-ref -q "$topic" || {
echo >&2 "No such branch $topic"
exit 1
}
# Is topic fully merged to master?
not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
if test -z "$not_in_master"
then
echo >&2 "$topic is fully merged to master; better remove it."
exit 1 ;# we could allow it, but there is no point.
fi
# Is topic ever merged to next? If so you should not be rebasing it.
only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
only_next_2=`git rev-list ^master ${publish} | sort`
if test "$only_next_1" = "$only_next_2"
then
not_in_topic=`git rev-list "^$topic" master`
if test -z "$not_in_topic"
then
echo >&2 "$topic is already up-to-date with master"
exit 1 ;# we could allow it, but there is no point.
else
exit 0
fi
else
not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
/usr/bin/perl -e '
my $topic = $ARGV[0];
my $msg = "* $topic has commits already merged to public branch:\n";
my (%not_in_next) = map {
/^([0-9a-f]+) /;
($1 => 1);
} split(/\n/, $ARGV[1]);
for my $elem (map {
/^([0-9a-f]+) (.*)$/;
[$1 => $2];
} split(/\n/, $ARGV[2])) {
if (!exists $not_in_next{$elem->[0]}) {
if ($msg) {
print STDERR $msg;
undef $msg;
}
print STDERR " $elem->[1]\n";
}
}
' "$topic" "$not_in_next" "$not_in_master"
exit 1
fi
<<\DOC_END
This sample hook safeguards topic branches that have been
published from being rewound.
The workflow assumed here is:
* Once a topic branch forks from "master", "master" is never
merged into it again (either directly or indirectly).
* Once a topic branch is fully cooked and merged into "master",
it is deleted. If you need to build on top of it to correct
earlier mistakes, a new topic branch is created by forking at
the tip of the "master". This is not strictly necessary, but
it makes it easier to keep your history simple.
* Whenever you need to test or publish your changes to topic
branches, merge them into "next" branch.
The script, being an example, hardcodes the publish branch name
to be "next", but it is trivial to make it configurable via
$GIT_DIR/config mechanism.
With this workflow, you would want to know:
(1) ... if a topic branch has ever been merged to "next". Young
topic branches can have stupid mistakes you would rather
clean up before publishing, and things that have not been
merged into other branches can be easily rebased without
affecting other people. But once it is published, you would
not want to rewind it.
(2) ... if a topic branch has been fully merged to "master".
Then you can delete it. More importantly, you should not
build on top of it -- other people may already want to
change things related to the topic as patches against your
"master", so if you need further changes, it is better to
fork the topic (perhaps with the same name) afresh from the
tip of "master".
Let's look at this example:
o---o---o---o---o---o---o---o---o---o "next"
/ / / /
/ a---a---b A / /
/ / / /
/ / c---c---c---c B /
/ / / \ /
/ / / b---b C \ /
/ / / / \ /
---o---o---o---o---o---o---o---o---o---o---o "master"
A, B and C are topic branches.
* A has one fix since it was merged up to "next".
* B has finished. It has been fully merged up to "master" and "next",
and is ready to be deleted.
* C has not merged to "next" at all.
We would want to allow C to be rebased, refuse A, and encourage
B to be deleted.
To compute (1):
git rev-list ^master ^topic next
git rev-list ^master next
if these match, topic has not merged in next at all.
To compute (2):
git rev-list master..topic
if this is empty, it is fully merged to "master".
DOC_END

View File

@@ -1,36 +0,0 @@
#!/bin/sh
#
# An example hook script to prepare the commit log message.
# Called by "git commit" with the name of the file that has the
# commit message, followed by the description of the commit
# message's source. The hook's purpose is to edit the commit
# message file. If the hook fails with a non-zero status,
# the commit is aborted.
#
# To enable this hook, rename this file to "prepare-commit-msg".
# This hook includes three examples. The first comments out the
# "Conflicts:" part of a merge commit.
#
# The second includes the output of "git diff --name-status -r"
# into the message, just before the "git status" output. It is
# commented because it doesn't cope with --amend or with squashed
# commits.
#
# The third example adds a Signed-off-by line to the message, that can
# still be edited. This is rarely a good idea.
case "$2,$3" in
merge,)
/usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
# ,|template,)
# /usr/bin/perl -i.bak -pe '
# print "\n" . `git diff --cached --name-status -r`
# if /^#/ && $first++ == 0' "$1" ;;
*) ;;
esac
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

View File

@@ -1,128 +0,0 @@
#!/bin/sh
#
# An example hook script to block unannotated tags from entering.
# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
#
# To enable this hook, rename this file to "update".
#
# Config
# ------
# hooks.allowunannotated
# This boolean sets whether unannotated tags will be allowed into the
# repository. By default they won't be.
# hooks.allowdeletetag
# This boolean sets whether deleting tags will be allowed in the
# repository. By default they won't be.
# hooks.allowmodifytag
# This boolean sets whether a tag may be modified after creation. By default
# it won't be.
# hooks.allowdeletebranch
# This boolean sets whether deleting branches will be allowed in the
# repository. By default they won't be.
# hooks.denycreatebranch
# This boolean sets whether remotely creating branches will be denied
# in the repository. By default this is allowed.
#
# --- Command line
refname="$1"
oldrev="$2"
newrev="$3"
# --- Safety check
if [ -z "$GIT_DIR" ]; then
echo "Don't run this script from the command line." >&2
echo " (if you want, you could supply GIT_DIR then run" >&2
echo " $0 <ref> <oldrev> <newrev>)" >&2
exit 1
fi
if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
echo "usage: $0 <ref> <oldrev> <newrev>" >&2
exit 1
fi
# --- Config
allowunannotated=$(git config --bool hooks.allowunannotated)
allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
denycreatebranch=$(git config --bool hooks.denycreatebranch)
allowdeletetag=$(git config --bool hooks.allowdeletetag)
allowmodifytag=$(git config --bool hooks.allowmodifytag)
# check for no description
projectdesc=$(sed -e '1q' "$GIT_DIR/description")
case "$projectdesc" in
"Unnamed repository"* | "")
echo "*** Project description file hasn't been set" >&2
exit 1
;;
esac
# --- Check types
# if $newrev is 0000...0000, it's a commit to delete a ref.
zero="0000000000000000000000000000000000000000"
if [ "$newrev" = "$zero" ]; then
newrev_type=delete
else
newrev_type=$(git cat-file -t $newrev)
fi
case "$refname","$newrev_type" in
refs/tags/*,commit)
# un-annotated tag
short_refname=${refname##refs/tags/}
if [ "$allowunannotated" != "true" ]; then
echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
exit 1
fi
;;
refs/tags/*,delete)
# delete tag
if [ "$allowdeletetag" != "true" ]; then
echo "*** Deleting a tag is not allowed in this repository" >&2
exit 1
fi
;;
refs/tags/*,tag)
# annotated tag
if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
then
echo "*** Tag '$refname' already exists." >&2
echo "*** Modifying a tag is not allowed in this repository." >&2
exit 1
fi
;;
refs/heads/*,commit)
# branch
if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
echo "*** Creating a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/heads/*,delete)
# delete branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/remotes/*,commit)
# tracking branch
;;
refs/remotes/*,delete)
# delete tracking branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a tracking branch is not allowed in this repository" >&2
exit 1
fi
;;
*)
# Anything else (is there anything else?)
echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
exit 1
;;
esac
# --- Finished
exit 0

View File

@@ -1,6 +0,0 @@
# git ls-files --others --exclude-from=.git/info/exclude
# Lines that start with '#' are comments.
# For a project mostly in C, the following would be a good set of
# exclude patterns (uncomment them if you want to use them):
# *.[oa]
# *~

View File

@@ -1,12 +0,0 @@
0000000000000000000000000000000000000000 e1248f716b5656af04ded489b481db45ad3dfc8f Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1473364042 +0200 clone: from git@github.com:spring-cloud/spring-cloud-release.git
e1248f716b5656af04ded489b481db45ad3dfc8f 1ab978f42299811efa4953b98a923699c95f6776 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1474826109 +0200 checkout: moving from master to vCamden.RELEASE
1ab978f42299811efa4953b98a923699c95f6776 e1248f716b5656af04ded489b481db45ad3dfc8f Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1474826610 +0200 checkout: moving from 1ab978f42299811efa4953b98a923699c95f6776 to master
e1248f716b5656af04ded489b481db45ad3dfc8f b05cdc5318cbc5c049a391fe67ac4a8cf763689d Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486373153 +0100 checkout: moving from master to Camden.x
b05cdc5318cbc5c049a391fe67ac4a8cf763689d 25af4f2162cdf0642c78ea8e63c1744158b6ad1b Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486377649 +0100 commit: Bumping versions before release
25af4f2162cdf0642c78ea8e63c1744158b6ad1b a29f784a15fc3d039d4dfec619ebcddaf0ef8b8a Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486378936 +0100 revert: Going back to snapshots
a29f784a15fc3d039d4dfec619ebcddaf0ef8b8a b566ab3bea0506bccaa10f83784a41673606d6ee Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486379057 +0100 commit (amend): Going back to snapshots
b566ab3bea0506bccaa10f83784a41673606d6ee e1248f716b5656af04ded489b481db45ad3dfc8f Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486379087 +0100 checkout: moving from Camden.x to master
e1248f716b5656af04ded489b481db45ad3dfc8f 32ebcd2c317339400d65ad43999d4e5ddc05bd30 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486379095 +0100 pull --rebase origin master: checkout 32ebcd2c317339400d65ad43999d4e5ddc05bd30
32ebcd2c317339400d65ad43999d4e5ddc05bd30 32ebcd2c317339400d65ad43999d4e5ddc05bd30 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486379095 +0100 rebase finished: returning to refs/heads/master
32ebcd2c317339400d65ad43999d4e5ddc05bd30 320597b84bb0312c15228c4d42f46c189b86ed90 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1488827673 +0100 pull --rebase origin master: checkout 320597b84bb0312c15228c4d42f46c189b86ed90
320597b84bb0312c15228c4d42f46c189b86ed90 320597b84bb0312c15228c4d42f46c189b86ed90 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1488827673 +0100 rebase finished: returning to refs/heads/master

View File

@@ -1,4 +0,0 @@
0000000000000000000000000000000000000000 b05cdc5318cbc5c049a391fe67ac4a8cf763689d Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486373153 +0100 branch: Created from refs/remotes/origin/Camden.x
b05cdc5318cbc5c049a391fe67ac4a8cf763689d 25af4f2162cdf0642c78ea8e63c1744158b6ad1b Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486377649 +0100 commit: Bumping versions before release
25af4f2162cdf0642c78ea8e63c1744158b6ad1b a29f784a15fc3d039d4dfec619ebcddaf0ef8b8a Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486378936 +0100 revert: Going back to snapshots
a29f784a15fc3d039d4dfec619ebcddaf0ef8b8a b566ab3bea0506bccaa10f83784a41673606d6ee Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486379057 +0100 commit (amend): Going back to snapshots

View File

@@ -1,3 +0,0 @@
0000000000000000000000000000000000000000 e1248f716b5656af04ded489b481db45ad3dfc8f Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1473364042 +0200 clone: from git@github.com:spring-cloud/spring-cloud-release.git
e1248f716b5656af04ded489b481db45ad3dfc8f 32ebcd2c317339400d65ad43999d4e5ddc05bd30 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486379095 +0100 rebase finished: refs/heads/master onto 32ebcd2c317339400d65ad43999d4e5ddc05bd30
32ebcd2c317339400d65ad43999d4e5ddc05bd30 320597b84bb0312c15228c4d42f46c189b86ed90 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1488827673 +0100 rebase finished: refs/heads/master onto 320597b84bb0312c15228c4d42f46c189b86ed90

View File

@@ -1,2 +0,0 @@
ccc57368d5e766e493c57f44333deae7eca6d864 7ac1649d4b941fdc03f877ab7d929a52018a1f75 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1474826096 +0200 fetch: fast-forward
7ac1649d4b941fdc03f877ab7d929a52018a1f75 6882449721e48f955b102606ae3fc2535ebbd4cb Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486372922 +0100 fetch: fast-forward

View File

@@ -1 +0,0 @@
0000000000000000000000000000000000000000 928e0d8389dcee60189d6c0eb737ab9376e87f54 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1474826096 +0200 fetch: storing head

View File

@@ -1,2 +0,0 @@
0000000000000000000000000000000000000000 b05cdc5318cbc5c049a391fe67ac4a8cf763689d Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486372922 +0100 fetch: storing head
b05cdc5318cbc5c049a391fe67ac4a8cf763689d b566ab3bea0506bccaa10f83784a41673606d6ee Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486379066 +0100 update by push

View File

@@ -1 +0,0 @@
0000000000000000000000000000000000000000 e1248f716b5656af04ded489b481db45ad3dfc8f Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1473364042 +0200 clone: from git@github.com:spring-cloud/spring-cloud-release.git

View File

@@ -1,3 +0,0 @@
e1248f716b5656af04ded489b481db45ad3dfc8f 530a739b2abeaae75c267dec70ba03d507afe81b Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1474826096 +0200 fetch: fast-forward
530a739b2abeaae75c267dec70ba03d507afe81b 32ebcd2c317339400d65ad43999d4e5ddc05bd30 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1486372922 +0100 fetch: fast-forward
32ebcd2c317339400d65ad43999d4e5ddc05bd30 320597b84bb0312c15228c4d42f46c189b86ed90 Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1488827673 +0100 pull --rebase origin master: fast-forward

View File

@@ -1 +0,0 @@
0000000000000000000000000000000000000000 dd40ebe950c0a0cd5de542e3d0e7a0e1ac4e70aa Marcin Grzejszczak <mgrzejszczak@pivotal.io> 1474826091 +0200 WIP on master: e1248f7 Revert to snapshots

View File

@@ -1 +0,0 @@
x<01>ν<0E>0@a<>><3E><>ML<4D><4C>M<EFBFBD>qsr<73>.<2E>-<2D>PH<50><48><EFBFBD><EFBFBD><1F><> _<0E><><EFBFBD>F<>J<01>tG<74>ZFWk<57><6B>V<><10><>JFC\<5C><>9<EFBFBD>l<EFBFBD>R<01><><EFBFBD><01>qd<71>qJ<71><4A><1D><><EFBFBD><EFBFBD><EFBFBD>QEk<45>f<EFBFBD>*<2A>1<EFBFBD>

View File

@@ -1,3 +0,0 @@
x+)JMU013g040031Q<31>K<EFBFBD>,<2C>L<EFBFBD><4C>/JeK<>a<EFBFBD>*~<7E>9<EFBFBD><39>vf<76><66><EFBFBD><EFBFBD><EFBFBD>]<5D><>M <0C>@A/<2F>,<2C>a<EFBFBD><61>q]~<7E>Y,|\8<>y<EFBFBD>0D<30>Z<
fHqjIIf^z<>^EnC<>i<EFBFBD><69><EFBFBD>7Kʹ<4B>N<>t<EFBFBD>ٴ<EFBFBD><D9B4>ϧ0<CFA7>%E<>e<EFBFBD><65>z<EFBFBD>@e<>_ygo<67><6F>P<EFBFBD><50><EFBFBD><EFBFBD><EFBFBD><EFBFBD>g<EFBFBD>'<27><17><>*<2A><>tv<74> v<>+<2B>(a<><61><EFBFBD>Vl2<6C><32><EFBFBD><EFBFBD><EFBFBD>uNƺ\<5C><>|<7C>C<EFBFBD><05>:<3A><><EFBFBD><EFBFBD>%<25><>'3H<33><79>@<40>ٓ<7F><D993>1Qu<15>מ<EFBFBD> q<P<><50><EFBFBD><EFBFBD><EFBFBD>'<><7F><4D>S
<EFBFBD>V<EFBFBD>|Vp<56><70><1B>sSS<05><><EFBFBD><19>j<EFBFBD><>3<EFBFBD><33><EFBFBD><EFBFBD>re<72>

View File

@@ -1,7 +0,0 @@
x<01><54>X<10>5_q<5F><71>g… <0B>f<EFBFBD><0F><>"IoGB<> <20><><07>[oܻ<6F>ݧS<DDA7><53><EFBFBD>{<<3C><19>$E<>5<EFBFBD>Y"&<26>RD<52>Œ <09><><EFBFBD>" <20>B<EFBFBD><42>9<EFBFBD><39>Y<EFBFBD><59>,<2C>Fi<46><69>ј<EFBFBD>3<EFBFBD><33><EFBFBD>D{Gr$<24><>ƐAyN<79>$cs<02><><EFBFBD><EFBFBD><EFBFBD>4Ţe.<2E><11>}<7D>&<26><08>*<2A><><EFBFBD><EFBFBD>/<2F>_<EFBFBD><5F>o<EFBFBD><6F>/ iҐF<D290>",<2C>9<EFBFBD><39>3<EFBFBD><33>Y<EFBFBD><59>T<15><EFBFBD>r2<72><32><EFBFBD><EFBFBD>=)<29><><EFBFBD><17><>A6NU<4E>~J<><4A>
nD<EFBFBD>b+X) <1C><><EFBFBD><EFBFBD>{<7B>V<EFBFBD><56>k&<26><01>y<EFBFBD><79><EFBFBD>8<EFBFBD><17><EFBFBD><7F>uc<75> T<>)A<<16>":ڕ<><DA95>I:MV<4D>S<EFBFBD>ZB<5A><42>%U<>l<EFBFBD>r<EFBFBD><72>L<02>L<EFBFBD><4C><EFBFBD><12><><EFBFBD>Y磄<59><E7A384><EFBFBD>(4/r<>Mx<t<>ʈ<EFBFBD>.<2E><>[<5B>l<EFBFBD>pT%}<7D>\<5C>.<2E>M<1F>ڸJWVݸ<56>88z`@<40><><R5o<35><6F><EFBFBD>9jl<6A><6C>ǸT<C7B8><05>[ <20><>%\<5C>ӄ)s<>L<EFBFBD>t<EFBFBD>` <0E>k~s}D<> <06>u<EFBFBD>-g|
^<5E><><EFBFBD>Է +<2B>ϫ<>Pry<72><>]<06>8<EFBFBD><38>EO<45><4F>x<EFBFBD>S<EFBFBD>Û/<07><>vK0@<40>t<EFBFBD>\<5C>L/<1A>-<1A>R<EFBFBD><52>kdї<64>/<15>` <0C><><EFBFBD><EFBFBD>S<><53>a<EFBFBD>̯<EFBFBD><CCAF>[<5B>n!U<>a<EFBFBD>c@<40><>6<EFBFBD><36>;<3B>h¶ḽ<6C><19>
]]M <0C>s<EFBFBD>Z\H<>!׎!<21><><0F>X
<EFBFBD>N<EFBFBD><EFBFBD>H<EFBFBD>'o<>1<10><>d1<64><31><EFBFBD>ŝ<EFBFBD><C59D><EFBFBD><03><>+g@J<><4A>ι<EFBFBD><CEB9>o<EFBFBD>n6<6E>hw<68><77>|<7C><>lE<>2 <0C>ir1ID<><44>MU<4D>_Cxz^<5E>@<40>.Vg<56><67><EFBFBD> <0B><><EFBFBD>u-<1C><19>
݅
<EFBFBD><EFBFBD><EFBFBD>

View File

@@ -1 +0,0 @@
xm<>MJ<4D>@<10>a<EFBFBD>9E]`<60><><EFBFBD><EFBFBD><EFBFBD>ADEpQ!<21><01>]g<>I<EFBFBD>Le<4C><65>

View File

@@ -1 +0,0 @@
x<01><>Kj<4B>0@<40><>)f(<28>X<EFBFBD><58>P<EFBFBD><50> <09><13><>#bh"#O

View File

@@ -1,4 +0,0 @@
x<01>Y<EFBFBD>o<EFBFBD>6ޫ<>WhF_%<25>m1d<01><>?2<>@<40>q[<5B><><EFBFBD>h<EFBFBD><68>D
$<15>-<2D><><EFBFBD>HI,%<25>q"t<><74> "y<><79><EFBFBD>u<>;/3<> ~{<7B><><EFBFBD>/<2F><>}<7D>wT*&<26><>tͦ<01><>H_<>O?}<7D>#<<3C><><EFBFBD>Op!<21><>4<EFBFBD>Hsu><3E>h]<5D>!<21><>;<3B>#R<>dC#!<21><><EFBFBD><EFBFBD>z<19> <0C><><<3C>W<EFBFBD>Io<49><6F>h<EFBFBD><68><EFBFBD>=<3D><><EFBFBD><EFBFBD><EFBFBD><EFBFBD><EFBFBD>s2<>4<EFBFBD> <09><>L@<40>L<EFBFBD><4C>K<EFBFBD>mOut<75><74><EFBFBD>ĽJ<C4BD>C<EFBFBD><43>T<11><><EFBFBD><EFBFBD><04>"<22><><EFBFBD><EFBFBD>ul<75>0j́LA$<24><1A>'x-EY<45>Oc<4F><18>B<EFBFBD>mV<6D><56>t+<2B>m<EFBFBD>d<EFBFBD>L1jD<6A>8<EFBFBD><38><EFBFBD>H<EFBFBD>A<EFBFBD><41><0E>P<EFBFBD>҂<EFBFBD><14>˨
+x<><a<>[<5B>"<22>G<EFBFBD><47><EFBFBD>7<17><17>5<>FD<46> sG<73><47><EFBFBD> <20><06><>>j<>Ξn˷$<24><>Eo><3E><>|.<2E>z}<7D><><EFBFBD><EFBFBD>G<6B>aJ<18>u8PJU"Ya<59>/<2F><><EFBFBD><EFBFBD><EFBFBD>L<EFBFBD>;<3B><18>b<EFBFBD><62><EFBFBD>-Y<>q<EFBFBD>B<EFBFBD><42>T34kR<14>J<EFBFBD>uHN<18><><44><D194>ٷ<EFBFBD><D9B7>;<3B>"<22>W<><57><EFBFBD>d-7<><37><EFBFBD>{Σy<CEA3><79>G<EFBFBD><47>xkY<6B>X<EFBFBD>e]<5D><><EFBFBD>|<7C>V"<22><>pm<70><6D><EFBFBD><EFBFBD><EFBFBD>0`O<><4F>j <0C>%O宅<?<3F><>O<EFBFBD><4F>.<2E>\p<>G<><47>tT<74>`<60>[{g=jV<6A><56><EFBFBD><EFBFBD>C<EFBFBD>T<EFBFBD>2v<32>ȮJ<53>L<EFBFBD>65<36><35><1B><>{O<>T<>y'<27>P|<7C>Am<41><1E><>h<EFBFBD>7<1E>,:}<18><><EFBFBD><47><D492>!<21><>B<EFBFBD>f<EFBFBD>~<7E>hSo+<2B>@5Q<35>Ґ>dÖ`<0F>+<2B><>Bt<42><1D><5F><C7BE><EFBFBD>~<7E><>XV<07><><15>dM<64>&)<29><>*(<05><1F>5 <0C><><EFBFBD>= :<3A>
<EFBFBD>f<> ƒ%

View File

@@ -1,2 +0,0 @@
x<01><>K
1D]<5D><14>$<24>t<EFBFBD> <09><><EFBFBD><06>:<3A><1C>3Q<33><51>o<><6F>jQ<6A>WyǾ<>1aWV<11><>s.<2E><1C><><EFBFBD>a<EFBFBD>\l[<5B><><EFBFBD>Ė<EFBFBD>db<64>Ze*<2A><>[j<><16><><EFBFBD>z4<7A>9<EFBFBD><39>>iM<69>[d6Iѫ<<3C>.<2E><16>~d<>#o5<6F>K<EFBFBD><4B>

Some files were not shown because too many files have changed in this diff Show More